Bug 813150 - [OSS] rhc client need to be update in fedora remix image
[OSS] rhc client need to be update in fedora remix image
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 01:41 EDT by yquan
Modified: 2015-05-14 21:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 16:46:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yquan 2012-04-17 01:41:30 EDT
Description of problem:
It will return error messages and creating app will be failed when trying to create scalable app against server installed from fedora_remix.iso

Version-Release number of selected component (if applicable):
rhc-0.89.7-1.git.1.c779db9.fc.16.noarch
stickshift-broker-0.6.1-1.git.1835.832.e42c.fc.16.noarch
stickshift-abstract-0.6.1-1.git.1835.832.e42c.fc.16.noarch
rubygem-stickshift-node-0.9.2-1.git.0.89cf186.fc16.noarch
rubygem-stickshift-controller-0.9.2-1.git.139.c334eb6.fc16.noarch

How reproducible:
Always

Steps to Reproduce:
1.Download the iso from https://<server_dns>/app/opensource
2.Run the fedora_remix.iso as a virtual guest on kvm.
3.Create a scalable app via rhc client.
  
Actual results:
Return error massage like below, and the app creating will be failed.

[error message]
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require': no such file to load -- rhc-rest (LoadError)
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.89.7/lib/rhc-common.rb:401:in `create_app'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.89.7/bin/rhc-app:231:in `create_app'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.89.7/bin/rhc-app:565
	from /usr/bin/rhc-app:19:in `load'
	from /usr/bin/rhc-app:19

Expected results:
Scalable app should be created successful and no error message prompt.

Additional info:
Comment 1 Abhishek Gupta 2012-04-18 14:14:10 EDT
The UI team is merging the rhc and rhc-rest packages together and once that is available (hopefully in the next build), then this bug should no longer be valid. Keeping this bug open to see if any changes are required for building the rhc package itself.
Comment 2 Xiaoli Tian 2012-04-19 03:00:11 EDT
According to comment1 , reduce its severity and priority.
Comment 3 Abhishek Gupta 2012-04-19 17:04:39 EDT
The rhc and rhc-rest packages have been merged. This issue should be resolved in the next fedora remix iso that will be created and made available tonight or tomorrow.
Comment 4 Johnny Liu 2012-04-24 07:20:59 EDT
Check rhc version, found it is out-of-date, the installed rhc still has dependency with rhc-rest.

[root@localhost rubytest]# rpm -q rhc
rhc-0.89.12-1.git.0.bd02f40.fc16.noarch
[root@localhost rubytest]# rpm -qa|grep rhc
rhc-0.89.12-1.git.0.bd02f40.fc16.noarch
rhc-rest-0.0.8-1.git.0.66e535e.fc16.noarch
[root@localhost rubytest]# rpm -e rhc-rest
error: Failed dependencies:
	rhc-rest is needed by (installed) rhc-0.89.12-1.git.0.bd02f40.fc16.noarch
Comment 5 Johnny Liu 2012-04-24 07:22:16 EDT
The above test is run against the latest fedora remix image (24-Apr-2012).
Comment 6 Abhishek Gupta 2012-04-25 14:47:47 EDT
The CLI tools have been updated in the latest ISO.
Comment 7 Peter Ruan 2012-04-25 14:50:22 EDT
verified with iso md5sum of 86ded70d305fa5611f1ffb7c335f4196

Note You need to log in before you can comment on or make changes to this bug.